• Be part of the TeaParty!
    Click here for more information

[INFORMATION] Connection lost because server license can not be validated.

mkll11one

TeaFanatic
Premium User
Hi.

You also get errors when trying to connect to your server? (Connection lost because server license can not be validated.)
a) Your virtualserver has more than 32 slots and therefore it is not possible and connect to the server!
b) Your virtualserver does not have a "valid license" and using: "Unlicense/No License" (32slots max - 3.2.2 client happened only!)
c) TeamSpeak checks your server if it has a legal license. (if it's No License) = 3.2.2 client can't connect to the server!

How can i connect to my server again?
a) Edit maxslots on your virtualserver to 32 slots, and it will works fine!

What if i want my virtualserver to be more than 32slots? (e.g: 64slots?)
a) You need to wait for "TeamSpeak" will open for requests NPL license.
b) You can too buy a AAL license for 30 $ (for 1 year!)
 
Last edited:

katrio

Active member
Sooo... 32 slots license will allow me to set up for example 512 slots? What if Tea*Speak fix it in next update? :/ @WolverinDEV

P.S. Does anyone want me to sell protocol key? 8)
 

mkll11one

TeaFanatic
Premium User
Sooo... 32 slots license will allow me to set up for example 512 slots? What if Tea*Speak fix it in next update? :/ @WolverinDEV

P.S. Does anyone want me to sell protocol key? 8)
You can only USE 32 slots on "No License" ;)

If you have AAL license = you can use 1024 slots.
if you have NPL license = you can use 1024 slots.
 

BaBy_BoY

New member
Sorry but what you say has no logic, if you have to pay to use the teaspeak server with a license that makes sense to use it ?, for that, you install Tea*Speak official server directly and it is already ...

Anyway, it's the client version problem ... with version 3.2.1 it works without problems ... ¬¬ "
 

mkll11one

TeaFanatic
Premium User
Sorry but what you say has no logic, if you have to pay to use the teaspeak server with a license that makes sense to use it ?, for that, you install Tea*Speak official server directly and it is already ...

Anyway, it's the client version problem ... with version 3.2.1 it works without problems ... ¬¬ "
What does it's has with the client version todo? - TeamSpeak did launched new licensesystem. thats why the "No License" = limited to 32slots max! :)
 

Tinferior

New member
Yea, I mean 32 slots AAL :)
But what if Tea*Speak change this in new update - money in the mud? ;D
@mkll11one the question from @katrio is very good, is there a possibility that TS change the client so that they check if the installed license is valid for the real amount of slot that the server has. For example, I use a 32 slot license but run a 64 slot server could the client check that?



 

mkll11one

TeaFanatic
Premium User
@mkll11one the question from @katrio is very good, is there a possibility that TS change the client so that they check if the installed license is valid for the real amount of slot that the server has. For example, I use a 32 slot license but run a 64 slot server could the client check that?
Depends what TeamSpeak will find out. ^^ I can't explain. i don't work for TeamSpeak. ;)
 

BaBy_BoY

New member
I have a Tea*Speak server mounted for a while, and updated to date, and I can assure you that with client version 3.2.1 does not give any license error ... ;)

http://prntscr.com/kvhn8h

and right now we are the minimum people who usually enter since there are usually about 60 normally...
with what it gives to deduce that it is from the client version and not the server version that is giving the problem. It is the client version that "requests" the license to the server to check whether it is correct or not, so if you leave version 3.2.1 you have no problems ...
 

Alpha

New member
I have a Tea*Speak server mounted for a while, and updated to date, and I can assure you that with client version 3.2.1 does not give any license error ... ;)

http://prntscr.com/kvhn8h

and right now we are the minimum people who usually enter since there are usually about 60 normally...
with what it gives to deduce that it is from the client version and not the server version that is giving the problem. It is the client version that "requests" the license to the server to check whether it is correct or not, so if you leave version 3.2.1 you have no problems ...
Version 3.2.2 was just released on the stable channel a few hours ago, maybe that's the affected version? But they don't mention anything about it in their changelog. https://forum.Tea*Speak.com/threads/137385-Tea*Speak-3-Client-3-2-2-released
 

mkll11one

TeaFanatic
Premium User
I have a Tea*Speak server mounted for a while, and updated to date, and I can assure you that with client version 3.2.1 does not give any license error ... ;)

http://prntscr.com/kvhn8h

and right now we are the minimum people who usually enter since there are usually about 60 normally...
with what it gives to deduce that it is from the client version and not the server version that is giving the problem. It is the client version that "requests" the license to the server to check whether it is correct or not, so if you leave version 3.2.1 you have no problems ...
Well this is the 3.2.2 client > talking about! ;)
 

upal

New member
If that's the case, why should we bother using TeaSpeak's bugged W.I.P server client and not use the official rock stable one given from Tea*Speak directly themselves?
Either you guys should make a "client" for windows or mac supporting the TeaSpeak's old licensing- with this people can still keep using your software with the amount of slots that was promised by 'TeaSpeak' by showing Licensing isn't their cup of tea. Well it's sad to say you guys couldn't live up to your given promises.
 

mkll11one

TeaFanatic
Premium User
If that's the case, why should we bother using TeaSpeak's bugged W.I.P server client and not use the official rock stable one given from Tea*Speak directly themselves?
Either you guys should make a "client" for windows or mac supporting the TeaSpeak's old licensing- with this people can still keep using your software with the amount of slots that was promised by 'TeaSpeak' by showing Licensing isn't their cup of tea. Well it's sad to say you guys couldn't live up to your given promises.
Well. Because the new license system from Tea*Speak. So it's not possible. Only AAL license or NPL license will works. No license is limited with 32slots per virtualserver!